%define api 5
%define major 5
%define oname qt5

%define module qtquickcontrols2

%define qmlqtlabscontrols %mklibname qt5-qtlabscontrols-qml
%define qtlabscontrolsd %mklibname qt%{api}labscontrols -d
%define qtlabstemplates %mklibname qt%{api}labstemplates %{major}
%define qtlabstemplatesd %mklibname qt%{api}labstemplates -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#--------------------------------------------------------------------

%package -n %{qmlqtlabscontrols}
Summary:	QML plugin for Qt 5 Labs Controls module
Group:		System/Libraries
Suggests:	qt5-qtquickcontrols2-i18n
Provides:	qt5-qtlabscontrols-qml = %{EVRD}
Provides:	qt5-qtquickcontrols2-qml = %{EVRD}

%description -n %{qmlqtlabscontrols}
QML plugin for Qt 5 Labs Controls module.

%files -n %{qmlqtlabscontrols}
%{_qt5_prefix}/qml/Qt/labs/calendar/
%{_qt5_prefix}/qml/Qt/labs/controls/
%{_qt5_prefix}/qml/Qt/labs/templates/

#----------------------------------------------------------------------------

%package -n %{qtlabscontrolsd}
Summary:	Development files for the Qt 5 Labs Controls library
Group:		Development/KDE and Qt
Requires:	qmake%{api}

%description -n %{qtlabscontrolsd}
Development files for the Qt 5 Labs Controls library.

%files -n %{qtlabscontrolsd}
%{_qt5_includedir}/QtLabsControls
%{_qt5_libdir}/libQt%{api}LabsControls.a
%{_qt5_libdir}/libQt%{api}LabsControls.prl
%{_qt5_prefix}/mkspecs/modules/qt_lib_labscontrols_private.pri

#----------------------------------------------------------------------------

%package -n %{qtlabstemplates}
Summary:	Qt 5 Labs Templates library
Group:		System/Libraries
Requires:	qt5-qtlabscontrols-qml

%description -n %{qtlabstemplates}
Qt 5 Labs Templates library.

%files -n %{qtlabstemplates}
%{_qt5_libdir}/libQt%{api}LabsTemplates.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}LabsTemplates.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtlabstemplatesd}
Summary:	Development files for the Qt Labs Templates library
Group:		Development/KDE and Qt
Requires:	%{qtlabstemplates} = %{EVRD}
Requires:	qmake%{api}

%description -n %{qtlabstemplatesd}
Development files for the Qt Labs Templates library.

%files -n %{qtlabstemplatesd}
%{_qt5_includedir}/QtLabsTemplates
%{_qt5_libdir}/libQt%{api}LabsTemplates.so
%{_qt5_libdir}/libQt%{api}LabsTemplates.prl
%{_qt5_prefix}/mkspecs/modules/qt_lib_labstemplates_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtlabscontrols.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/quickcontrols2/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-1
- (487ba6f) Update examples


